/*
 * 文 件 名:  AlarmEventLog
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/7/25
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model.acrel;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 告警事件日志
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/7/25]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
public class AlarmEventLog {
    /**
     * 事件id
     */
    @JSONField(name = "fAlarmeventlogid")
    private String alarmEventLogId;

    /**
     * 站点id
     */
    @JSONField(name = "fSubid")
    private Integer subId;

    /**
     * 站点名称
     */
    @JSONField(name = "fSubname")
    private String subName;

    /**
     * 回路id
     */
    @JSONField(name = "fCircuitid")
    private String circuitId;

    /**
     * fType
     */
    @JSONField(name = "fType")
    private Integer fType;

    /**
     * 报警类型编码
     */
    @JSONField(name = "fMessinfocode")
    private String messInfoCode;

    /**
     * 报警类型  2：通讯状态， 3：现场报警 4：设备故障 33：一级报警 35：二级报警 36：三级报警
     */
    @JSONField(name = "fMessinfotypeid")
    private Integer messInfoTypeId;

    /**
     * 事件类型
     */
    @JSONField(name = "fMessInfoExplain")
    private String messInfoExplain;

    /**
     * 报警类型详情
     */
    @JSONField(name = "fMessInfoTypeExplain")
    private String messInfoTypeExplain;

    /**
     * 报警等级详情
     */
    @JSONField(name = "fMessinfolevelexplain")
    private String messInfoLevelExplain;

    /**
     * 报警等级
     */
    @JSONField(name = "fMessinfolevel")
    private Integer messInfoLevel;

    /**
     * 设备编号
     */
    @JSONField(name = "fDevicecode")
    private String deviceCode;

    /**
     * 设备名称
     */
    @JSONField(name = "fDevicename")
    private String deviceName;

    /**
     * 参数编码(仪表报警有，网关没有)
     */
    @JSONField(name = "fParamcode")
    private String paramCode;

    /**
     * 参数名称
     */
    @JSONField(name = "fParamname")
    private String paramName;

    /**
     * 参数对应值说明
     */
    @JSONField(name = "fValueType")
    private String valueType;

    /**
     * 参数对应值(仪表报警有，网关没有)
     */
    @JSONField(name = "fValue")
    private String value;

    /**
     * 限制值
     */
    @JSONField(name = "fLimitvalue")
    private String limitValue;

    /**
     * 报警类型
     */
    @JSONField(name = "fAlarmtype")
    private String alarmType;

    /**
     * 报警详情
     */
    @JSONField(name = "fAlarmdesc")
    private String alarmDesc;

    /**
     * 报警时间
     */
    @JSONField(name = "fAlarmtime")
    private String alarmTime;

    /**
     * 确认状态
     */
    @JSONField(name = "fConfirmstatus")
    private Boolean confirmStatus;

    @JSONField(name = "fCoaccountno")
    private String coacCountNo;

    @JSONField(name = "fConame")
    private String coName;

    @JSONField(name = "fContact")
    private String contacts;

    @JSONField(name = "fContactsPhone")
    private String contactsPhone;
}